Bug 950296 - Review Request: reposurgeon - A tool for doing surgical operations on repositories
Review Request: reposurgeon - A tool for doing surgical operations on reposit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-09 23:04 EDT by Christopher Meng
Modified: 2014-02-05 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version: reposurgeon-2.39-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 22:29:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-04-09 23:04:35 EDT
Spec URL: http://cicku.me/reposurgeon.spec
SRPM URL: http://cicku.me/reposurgeon-2.32-1.fc20.src.rpm
Description: Reposurge, which is developed by a famous GNU hacker Eric S. Raymond, is a tool for editing version-control repository history reposurgeon enables risky operations that version-control systems don't want to let you do, such as editing past comments and metadata and removing commits. It works with any version control system that can export and import git fast-import streams, including git, hg, bzr, CVS, and RCS. It can also read Subversion dump files directly and can thus be used to script production of very high-quality conversions from Subversion to any supported DVCS.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-04-16 20:51:42 EDT
New upstream release:

Spec URL: http://cicku.me/reposurgeon.spec
SRPM URL: http://cicku.me/reposurgeon-2.33-1.fc20.src.rpm
Comment 2 Christopher Meng 2013-04-21 00:30:11 EDT
New upstream release again:

Spec URL: http://cicku.me/reposurgeon.spec
SRPM URL: http://cicku.me/reposurgeon-2.35-1.fc20.src.rpm
Comment 3 Christopher Meng 2013-04-28 03:39:58 EDT
New upstream release again:

Spec URL: http://cicku.me/reposurgeon.spec
SRPM URL: http://cicku.me/reposurgeon-2.37-1.fc20.src.rpm
Comment 4 Christopher Meng 2013-05-15 03:02:19 EDT
New upstream release again:

Spec URL: http://cicku.me/reposurgeon.spec
SRPM URL: http://cicku.me/reposurgeon-2.38-1.fc20.src.rpm
Comment 5 Christopher Meng 2013-05-25 23:58:35 EDT
New upstream release again:

Spec URL: http://cicku.me/reposurgeon.spec
SRPM URL: http://cicku.me/reposurgeon-2.39-1.fc20.src.rpm
Comment 6 Douglas Schilling Landgraf 2013-05-28 23:41:28 EDT
Hi Christopher,

My only comment is: 

Any reason for not using parallel make to speed up the building?
https://fedoraproject.org/wiki/PackagingGuidelines#Parallel_make

Thanks
Douglas
Comment 7 Christopher Meng 2013-05-29 00:34:24 EDT
NEW

Spec URL: http://cicku.me/reposurgeon.spec
SRPM URL: http://cicku.me/reposurgeon-2.39-2.fc20.src.rpm
Comment 8 Douglas Schilling Landgraf 2013-05-29 08:59:12 EDT
Review done: manual + fedora-review too.

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: reposurgeon-2.39-1.fc18.noarch.rpm
reposurgeon.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsi
reposurgeon.noarch: W: spelling-error %description -l en_US hg -> Hg, jg, hf
reposurgeon.noarch: W: spelling-error %description -l en_US bzr -> bar, brr, bur
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint reposurgeon
reposurgeon.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsi
reposurgeon.noarch: W: spelling-error %description -l en_US hg -> Hg, jg, hf
reposurgeon.noarch: W: spelling-error %description -l en_US bzr -> bar, brr, bur
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

Above warnings can be ignored.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license.

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc

[OK] MUST: The spec file must be written in American English

[OK] MUST: The spec file for the package MUST be legible.

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  CHECKSUM(SHA256) this package     : 865a2aec27111d53c2407fddd976dec3578ce0956ba8cca4eb10417cb10f8de4
  CHECKSUM(SHA256) upstream package : 865a2aec27111d53c2407fddd976dec3578ce0956ba8cca4eb10417cb10f8de4


[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries.

[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]

[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example

[OK] MUST: Each package must consistently use macros.

[OK] MUST: The package must contain code, or permissable content

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] MUST: All filenames in rpm packages must be valid UTF-8

SHOULD
=========

[OK] SHOULD: Final provides and requires are sane (see attachments).

[OK] SHOULD: Package functions as described.

[OK] SHOULD: Latest version is packaged.

[OK] SHOULD: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK] SHOULD: Sources can be downloaded from URI in Source: tag

[OK] SHOULD: Reviewer should test that the package builds in mock.

[OK] SHOULD: Buildroot is not present

[OK] SHOULD: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK] SHOULD: Dist tag is present.

[OK] SHOULD: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK] SHOULD: SourceX tarball generation or download is documented.

[OK] SHOULD: SourceX is a working URL.

[OK] SHOULD: Spec use %global instead of %define.

Status: APPROVED
Comment 9 Christopher Meng 2013-05-29 10:47:30 EDT
New Package SCM Request
=======================
Package Name: repsurgeon
Short Description: A tool for doing surgical operations on repositories
Owners: cicku
Branches: f18 f19 el6
InitialCC:
Comment 10 Jon Ciesla 2013-05-29 11:01:43 EDT
Git done (by process-git-requests).
Comment 11 Jon Ciesla 2013-05-30 08:37:15 EDT
New Package SCM Request
=======================
Package Name: reposurgeon
Short Description: A tool for doing surgical operations on repositories
Owners: cicku
Branches: f18 f19 el6
InitialCC:
Comment 12 Jon Ciesla 2013-05-30 08:38:37 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-05-30 22:14:43 EDT
reposurgeon-2.39-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/reposurgeon-2.39-2.fc19
Comment 14 Fedora Update System 2013-05-30 22:27:48 EDT
reposurgeon-2.39-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/reposurgeon-2.39-2.fc18
Comment 15 Fedora Update System 2013-05-30 22:58:52 EDT
reposurgeon-2.39-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/reposurgeon-2.39-2.el6
Comment 16 Fedora Update System 2013-05-31 13:53:59 EDT
reposurgeon-2.39-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 17 Fedora Update System 2013-06-08 22:29:01 EDT
reposurgeon-2.39-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 18 Fedora Update System 2013-06-08 23:34:24 EDT
reposurgeon-2.39-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2013-06-16 14:31:23 EDT
reposurgeon-2.39-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Christopher Meng 2014-02-05 05:38:49 EST
Package Change Request
======================
Package Name: reposurgeon
New Branches: epel7
Owners: cicku
Comment 21 Jon Ciesla 2014-02-05 07:57:31 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.